Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util.el
Class ActionsMap

    java.lang.Object
      org.apache.myfaces.shared_orchestra.util.el.ActionsMap

All Implemented Interfaces:
  java.util.Map

    public abstract class ActionsMap

extends java.lang.Object
implements java.util.Map

Version:
  $Revision: 355303 $ $Date: 2005-12-09 02:36:08 +0100 (Fr, 09 Dez 2005) $ You can use this class to trigger an action when a boolean is set to true. Example : in JSF pages, for dataTable, to remove elements : Backing bean (#{inboxFace}). public ActionsMap getRemoveEmailUnid(){ return new ActionsMap(){ public void performAction(String unid) { InboxMailDAO dao = getInboxMailDAO(); TInboxMail email = dao.getByPrimaryKey( unid ); dao.remove( email ); } }; } JSF page : <h:selectBooleanCheckbox value="#{inboxFace.removeEmailUnid[email.unid]}"/>
Author:
  Sylvain Vieujot (latest modification by $Author: skitching $)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`ActionsMap()`
`ActionsMap(java.util.Set keys)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`abstract void` | `performAction(java.lang.String command)` This method should fire the command.
`java.lang.Boolean` | `put(java.lang.String key, java.lang.Boolean value)`
`void` | `putAll(java.util.Map map)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode, put`

Constructor Detail

### ActionsMap

    public ActionsMap()

### ActionsMap

    public ActionsMap(java.util.Set keys)

Method Detail

### performAction

    public abstract void performAction(java.lang.String command)

  This method should fire the command.

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### put

    public java.lang.Boolean put(java.lang.String key,
                                 java.lang.Boolean value)

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map map)

  Specified by:
    `putAll` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.